(* Core interface.
	This interface exports the core program node
	object types and provides routines for reading
	them in from disc.
*)

(*
	11/12/96	Created.
*)

INTERFACE Core;

(* Armacode library modules. *)
IMPORT Code;

(* Interpreter internal modules. *)
IMPORT Node, Loader;

TYPE	Parallel <: Node.T;
	Bracket <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END Core.