(* Exceptions interface.
	Exports the program objects used for exception handling
	commands.

20/03/97	Added an object for the Try...Finally block.

*)

INTERFACE Exceptions;

IMPORT Node, Loader;

IMPORT Code;

TYPE	Exception <: Node.T;

	ExceptionCMD <: Node.T;
	Raise <: Node.T;
	Try <: Node.T;
	TryFinally <: Node.T;

	ExceptTrap <: Node.T;
	ExceptTrapList <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END Exceptions.