(* Number interface.
	Defines objects implementing the basic Armadillo
	numeric data type.
*)

(*
	12/12/96	Created.
	13/12/96	Added the NumberT allocator object.
	10/01/97	Added the type-code.
	13/01/97	MAJOR RE-WRITE.  SEE NODE MODULE.
*)

INTERFACE Number;

IMPORT Node, Loader;

IMPORT Code;

TYPE	Real <: Node.K;
	NumberV <: Node.K;
	Int <: Node.K;

	NumberT <: Node.TYP;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

PROCEDURE NewNumber(value : LONGREAL) : Node.V;

VAR	NumberType : NumberT;

END Number.