(* Strings interface.
	Exports the string data type and it's allocator
	object.
*)

(*
	15/12/96	Created.
	10/01/97	Added the string data-type typecode.
	14/01/97	MAJOR RE-WRITE.  SEE NODE MODULE.
*)

INTERFACE Strings;

IMPORT Code;

IMPORT Node, Loader;

TYPE	String <: Node.K;
	StringV <: Node.K;
	StringT <: Node.TYP;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

PROCEDURE NewString(value : TEXT) : Node.V;

VAR	StringType : StringT;

END Strings.