(* Term interface.
	This interface defines some basic expression constructs.
	More complex expression elements can be found in other
	modules.
*)

(*
	15/12/96	Created.
	18/01/97	Added the integer division and remainder
			functions.
*)

INTERFACE Term;

IMPORT Node, Loader;

IMPORT Code;

TYPE	Mult <: Node.T;
	Div <: Node.T;
	And <: Node.T;

	IntDiv <: Node.T;
	IntMod <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END Term.