(* Parser interface.
	This defines the interace to the main parser/compiler
	part of the system.
*)

(*
	05/12/96	Created.
	18/12/96	Put all routines into an object to allow
			multiple parser units.
	19/02/97	Added the "export" method to allow parsers
			to be exported for use by interpreters.
*)

INTERFACE Parse;

EXCEPTION Error;

TYPE Public = OBJECT
		METHODS
			go(in_file, out_file : TEXT) RAISES {Error};
			export() RAISES {Error};
			lastErr() : TEXT;
		END;
	T <: Public;

END Parse.