(* Debug interface.
	Provides program objects for the "print" and "assert"
	commands.
*)

(*
	13/12/96	Created.
	14/01/97	Added the "pause" command.
	15/01/97	Renamed the module so as not to clash with
			the Cambridge Module-3 Debug module.
	19/02/97	Added an object for the new "execute" command.
	25/02/97	Added an object for the new "collect" command.
*)

INTERFACE ArmDebug;

IMPORT Node, Loader;

IMPORT Code;

TYPE	Print <: Node.T;
	Assert <: Node.T;
	Pause <: Node.T;
	Execute <: Node.T;
	Collect <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END ArmDebug.