(* AtomExp interface.
	This interface defines some useful functions and stuff.
*)

(*
	18/12/96	Created skeleton.
	23/12/96	Added an object for the "str" function.
	24/01/97	Added an object for the "time" in-built value.
*)

INTERFACE AtomExp;

IMPORT Node, Loader;

IMPORT Code;

TYPE	Bracket <: Node.T;
	Not <: Node.T;
	Rnd <: Node.T;
	Str <: Node.T;
	Plus <: Node.T;
	Minus <: Node.T;
	Time <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END AtomExp.