(* Bool interface.
	Exports the bool data type and it's allocator
	object.
*)

(*
	15/12/96	Created.
	10/01/97	Added the type-code.
	13/01/97	SEE NODE MODULE.
*)

INTERFACE Bool;

IMPORT Code;

IMPORT Node, Loader;

TYPE	Bool <: Node.K;
	BoolV <: Node.K;
	BoolT <: Node.TYP;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

PROCEDURE NewBool(val : BOOLEAN) : Node.V;

VAR	BoolType : BoolT;

END Bool.