(* BoolOp interface.
	This interface defines some basic expression constructs.
	More complex expression elements can be found in other
	modules.
*)

(*
	15/12/96	Created.
*)

INTERFACE BoolOp;

IMPORT Node, Loader;

IMPORT Code;

TYPE	Implies <: Node.T;
	MoreEqual <: Node.T;
	LessEqual <: Node.T;
	Less <: Node.T;
	More <: Node.T;
	Equal <: Node.T;
	NotEqual <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END BoolOp.