(* Condition interface.
	Defines the datatype used for signalling other threads
	for synchronisation and stuff.
	Also exports the "concurrency" group of commands.
*)

(*
	20/12/96	Created.
	10/01/97	Added the type-code.
	11/01/97	Moved the Signal and wait command objects into
			the Concurrency module for simplicity.
	13/01/97	MAJOR RE-WRITE.  SEE NODE MODULE.
*)

INTERFACE Condition;

IMPORT Code;

IMPORT Node, Loader;

TYPE	Condition <: Node.K;
	ConditionT <: Node.TYP;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

PROCEDURE NewCond() : Node.V;

VAR	ConditionType : ConditionT;

END Condition.