(* Control interface.
	Defines the program objects concerned with program
	flow control.
*)

(*
	14/12/96	Created skeleton containing only Loop object,
			to use when testing concurrency.
			Also added objects for If and Exit.
	17/12/96	Added the Return command object.
	19/02/97	Added the Quit command object.
*)

INTERFACE Control;

IMPORT Node, Loader;

IMPORT Code;

TYPE	If <: Node.T;
	Loop <: Node.T;
	Exit <: Node.T;
	Return <: Node.T;
	Quit <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END Control.