(* Expression interface.
	This interface definessome basic expression constructs.
	More complex expression elements can be found in other
	modules.
*)

(*
	13/12/96	Created skeleton which just contains
			the ExprList object.
	14/12/96	Added Plus, Minus and Or objects.
*)

INTERFACE Expression;

IMPORT Node, Loader;

IMPORT Code;

TYPE	ExprList <: Node.T;

	Plus <: Node.T;
	Minus <: Node.T;
	Or <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END Expression.