(* Ports interface.
	Defines a simple port datatype, suitable for communicating data
	between different threads in a program.  Note that ports are typed,
	in a similar way to references.
*)

(*
	03/02/97	Created.
*)

INTERFACE Ports;

IMPORT Code;

IMPORT Node, Loader;

TYPE	Port <: Node.K;
	PortT <: Node.TYP;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END Ports.