(* RefType interface.
	Defines the superb reference datatype and it's
	constructor object.
*)

(*
	19/12/96	Created.
	20/12/96	Added the AddressOf object for obtaining pointers
			to variables and fields in records etc.
	10/01/97	Added the type-code.
	18/01/97	Added the "nil" command.
	20/01/97	Changed "nil" back to a constant, using type-coercion.
*)

INTERFACE RefType;

IMPORT Code;

IMPORT Node, Loader;

TYPE	Ref <: Node.K;
	RefT <: Node.TYP;

	Deref <: Node.T;
	New <: Node.T;
	AddressOf <: Node.T;

PROCEDURE Convert(tree : Code.T) : Node.T RAISES {Loader.Failure};

END RefType.